GNU bug report logs - #4295
23.1; saving default font

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jim Mahoney <mahoney@HIDDEN>; Keywords: confirmed; merged with #2845, #2891, #22939, #23366; dated Mon, 31 Aug 2009 04:50:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2845 2891 4295 22939 23366. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 2845 2891 4295. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
bug reassigned from package 'emacs' to 'emacs,ns'. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at 4295@HIDDEN:


Received: (at 4295) by emacsbugs.donarmstrong.com; 1 Sep 2009 00:47:44 +0000
From mahoney@HIDDEN Mon Aug 31 17:47:42 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.4 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from arnold.marlboro.edu (arnold.marlboro.edu [206.192.68.78])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n810lfY2006551
	for <4295@HIDDEN>; Mon, 31 Aug 2009 17:47:42 -0700
Received: from thirty.local (pool-71-161-210-165.burl.east.myfairpoint.net [71.161.210.165])
	by arnold.marlboro.edu (Postfix) with ESMTP id B491D178052;
	Mon, 31 Aug 2009 20:47:27 -0400 (EDT)
Message-ID: <4A9C6F1E.60708@HIDDEN>
Date: Mon, 31 Aug 2009 20:47:26 -0400
From: Jim Mahoney <mahoney@HIDDEN>
User-Agent: Thunderbird 2.0.0.23 (Macintosh/20090812)
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
CC: 4295 <at> debbugs.gnu.org
Subject: Re: bug#4295: 23.1; saving default font
References: <4A9B5461.9020105@HIDDEN>	<jwv8wh0qb4m.fsf-monnier+emacsbugreports@HIDDEN>	<4A9C39F3.6050201@HIDDEN> <jwveiqr4jqm.fsf-monnier+emacsbugreports@HIDDEN>
In-Reply-To: <jwveiqr4jqm.fsf-monnier+emacsbugreports@HIDDEN>
X-Enigmail-Version: 0.96.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Marlboro-Information: Please contact techsupport@HIDDEN for more information
X-Marlboro-MailScanner-ID: B491D178052.A3078
X-Marlboro-MailScanner: clean
X-Marlboro-SpamCheck: not spam, SpamAssassin (not cached, score=-1.622,
	required 6, autolearn=disabled, BAYES_00 -2.60,
	RCVD_IN_SORBS_DUL 0.88, RDNS_DYNAMIC 0.10)
X-Marlboro-MailScanner-From: mahoney@HIDDEN
X-Marlboro-MailScanner-Watermark: 1252370848.99111@1cLFP7RW5uYrkiwjNhUTqA


I've played around with this a bit more,
but haven't seen anything change, nor can
do I see any customization that would be interfering.

* I did have a macports emacs installed in
  /opt/local ; I've disabled it with no change in behavior.

* I have likewise disable my ~/.xemacs/ folder; I don't
  know if emacs uses that.

* I can't find a "battery" initialization in another emacs,
  nor have I see noticed that before.

* Apropos on "battery" shows "display-battery-mode";
  turning that on and then Options >> Save Options does
  write that to ~/.emacs :

thirty:Library$ more ~/.emacs
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(display-battery-mode t))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 )

The status bar says "wrote /Users/mahoney/.emacs" after Save Options,
when I set or unset the "display-battery-mode".  However the default
font choice isn't saved.

So it knows how to write to ~/.emacs ; however, the "default font"
choice isn't seen as something that emacs needs to save.

The font choice dialog is mac-specific, as the movie link
I sent you shows.  If you haven't tested it on a Mac,
then it wouldn't surprise me that you can't see the bug.

As I said earlier, I would be interested in an emacs
with a simple Mac integration; however, this one doesn't
seem to pass this first test I tried.

I wish you all luck with it, and submitted the bug to
be helpful, but am not particularly interested in spending
the time to pursue this.

Good luck,

Jim Mahoney
Marlboro College

Stefan Monnier wrote:
>> I have tried it with several .emacs file variations.
>> "Save Defaults" on my system doesn't seem to modify .emacs.
>> I see a "loading battery" message in the status line,
>> whatever that means.
> 
> It means there is some customization somewhere (`battery' is not loaded
> by default, AFAIK).  It may be triggering the problem, somehow.
> Please try and figure out why/where is `battery' loaded.
> 
> 
>         Stefan
> 
> 
> SP: Please keep 4295@HIDDEN in the Cc.
> 



Acknowledgement sent to Jim Mahoney <mahoney@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4295; Package emacs. Full text available.

Message received at 4295@HIDDEN:


Received: (at 4295) by emacsbugs.donarmstrong.com; 1 Sep 2009 00:01:58 +0000
From monnier@HIDDEN Mon Aug 31 17:01:57 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.8 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.teksavvy.com [206.248.154.182])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n8101tJg031035
	for <4295@HIDDEN>; Mon, 31 Aug 2009 17:01:57 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApsEAFcBnEpFpYuS/2dsb2JhbACBU9gRhBoFh2eCbA
X-IronPort-AV: E=Sophos;i="4.44,308,1249272000"; 
   d="scan'208";a="44677734"
Received: from 69-165-139-146.dsl.teksavvy.com (HELO pastel.home) ([69.165.139.146])
  by ironport2-out.teksavvy.com with ESMTP; 31 Aug 2009 20:00:43 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id CE4447F24; Mon, 31 Aug 2009 20:01:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Jim Mahoney <mahoney@HIDDEN>
Cc: 4295 <at> debbugs.gnu.org
Subject: Re: bug#4295: 23.1; saving default font
Message-ID: <jwveiqr4jqm.fsf-monnier+emacsbugreports@HIDDEN>
References: <4A9B5461.9020105@HIDDEN>
	<jwv8wh0qb4m.fsf-monnier+emacsbugreports@HIDDEN>
	<4A9C39F3.6050201@HIDDEN>
Date: Mon, 31 Aug 2009 20:01:49 -0400
In-Reply-To: <4A9C39F3.6050201@HIDDEN> (Jim Mahoney's message of "Mon,
	31 Aug 2009 17:00:35 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> I have tried it with several .emacs file variations.
> "Save Defaults" on my system doesn't seem to modify .emacs.
> I see a "loading battery" message in the status line,
> whatever that means.

It means there is some customization somewhere (`battery' is not loaded
by default, AFAIK).  It may be triggering the problem, somehow.
Please try and figure out why/where is `battery' loaded.


        Stefan


SP: Please keep 4295 <at> debbugs.gnu.org in the Cc.



Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4295; Package emacs. Full text available.

Message received at 4295@HIDDEN:


Received: (at 4295) by emacsbugs.donarmstrong.com; 31 Aug 2009 15:04:18 +0000
From monnier@HIDDEN Mon Aug 31 08:04:17 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.8 required=4.0 tests=AWL,HAS_BUG_NUMBER
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7VF4Gnk018406
	for <4295@HIDDEN>; Mon, 31 Aug 2009 08:04:17 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AqIEAMeCm0pFpYuS/2dsb2JhbACBU9ZdhBoFh2iCbA
X-IronPort-AV: E=Sophos;i="4.44,305,1249272000"; 
   d="scan'208";a="44606516"
Received: from 69-165-139-146.dsl.teksavvy.com (HELO ceviche.home) ([69.165.139.146])
  by ironport2-out.teksavvy.com with ESMTP; 31 Aug 2009 11:03:05 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id F1DDE70048; Mon, 31 Aug 2009 11:04:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Jim Mahoney <mahoney@HIDDEN>
Cc: 4295 <at> debbugs.gnu.org
Subject: Re: bug#4295: 23.1; saving default font
Message-ID: <jwv8wh0qb4m.fsf-monnier+emacsbugreports@HIDDEN>
References: <4A9B5461.9020105@HIDDEN>
Date: Mon, 31 Aug 2009 11:04:10 -0400
In-Reply-To: <4A9B5461.9020105@HIDDEN> (Jim Mahoney's message of "Mon,
	31 Aug 2009 00:41:05 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> However, there doesn't seem to be any way to easily preserve
> that choice over multiple Emacs launches.  Options >> Save Defaults
> is the obvious choice, but it has no apparent effect - the next
> Emacs launch reverts to the default font, and I see no
> "Anonymous Pro" in ~/.emacs or anywhere else I could find.

I cannot reproduce it under GNU/Linux.
Can you try it with an empty .emacs ?


        Stefan



Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4295; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 31 Aug 2009 04:41:24 +0000
From mahoney@HIDDEN Sun Aug 30 21:41:24 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n7V4fMq7023246
	for <submit@HIDDEN>; Sun, 30 Aug 2009 21:41:23 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1Mhyhl-0007ga-Nd
	for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2009 00:41:21 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1Mhyhg-0007eZ-HY
	for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2009 00:41:20 -0400
Received: from [199.232.76.173] (port=50554 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1Mhyhg-0007eT-8M
	for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2009 00:41:16 -0400
Received: from arnold.marlboro.edu ([206.192.68.78]:36756)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <mahoney@HIDDEN>)
	id 1Mhyhf-0002d7-Pw
	for bug-gnu-emacs@HIDDEN; Mon, 31 Aug 2009 00:41:16 -0400
Received: from thirty.local (pool-71-161-210-165.burl.east.myfairpoint.net [71.161.210.165])
	by arnold.marlboro.edu (Postfix) with ESMTP id 2F01617922A;
	Mon, 31 Aug 2009 00:41:06 -0400 (EDT)
Message-ID: <4A9B5461.9020105@HIDDEN>
Date: Mon, 31 Aug 2009 00:41:05 -0400
From: Jim Mahoney <mahoney@HIDDEN>
User-Agent: Thunderbird 2.0.0.23 (Macintosh/20090812)
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: 23.1; saving default font
X-Enigmail-Version: 0.96.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Marlboro-Information: Please contact techsupport@HIDDEN for more information
X-Marlboro-MailScanner-ID: 2F01617922A.A4230
X-Marlboro-MailScanner: clean
X-Marlboro-SpamCheck: not spam, SpamAssassin (not cached, score=-1.022,
	required 6, autolearn=disabled, BAYES_00 -2.60, J_CHICKENPOX_55 0.60,
	RCVD_IN_SORBS_DUL 0.88, RDNS_DYNAMIC 0.10)
X-Marlboro-MailScanner-From: mahoney@HIDDEN
X-Marlboro-MailScanner-Watermark: 1252298467.96296@QCqMR+NfBAUc/bOeo4JTAw
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)


I'm running on Mac OS X, v 10.5.8.
I'm a longtime user of XEmacs,
and am trying this recent Emacs release.

I was impressed that the menu Options >> Set Default Font...
brought up the standard Apple font dialog, and that I was
able to set a default font for the current window,
namely Anonymous Pro 18.

However, there doesn't seem to be any way to easily preserve
that choice over multiple Emacs launches.  Options >> Save Defaults
is the obvious choice, but it has no apparent effect - the next
Emacs launch reverts to the default font, and I see no
"Anonymous Pro" in ~/.emacs or anywhere else I could find.

Nor could I find anything in the customization
menus that would preserve this simple "default font/size" choice;
instead, the docs take me (as is the emacs/xemacs usual) through
the bewildering choices of X11,faces,etc,etc.  I mucked about for
a bit but could find nothing that would preserve this simple
default font font choice.

I'm looking for an programming editor to suggest to my students.
I really like emacs, but setting it up has often been problematic.

This version looks like it has good Mac OS integration,
but if even this first customization step failed,
my confidence isn't high.

With the apparent requirement of setting the font each time
the application launches, it isn't going to do me much good.

------------------------------------


In GNU Emacs 23.1.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
 of 2009-08-16 on black.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  highlight-changes-visible-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<options> <menu-set-font> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <down-mouse-1> <mouse-2> <help-echo>
<down-mouse-1> <mouse-2> <help-echo> <help-echo> <menu-bar>
<options> <customize> <customize-saved> <help-echo>
<help-echo> <menu-bar> <options> <customize> <customize-changed-options>
<help-echo> <help-echo> <menu-bar> <options> <customize>
<customize-face> <return> C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-v C-v C-v C-v C-v C-v C-v C-v
C-v C-v C-v C-v C-v C-p C-p C-p C-p C-p C-p <escape>
< C-n C-n C-n C-n C-n C-n <help-echo> <help-echo> <help-echo>
<help-echo> <down-mouse-1> <mouse-1> C-p C-a C-p C-p
u C-s d e f a u l t SPC f o n C-a C-p C-p u <help-echo>
<help-echo> <menu-bar> <options> <customize> <customize-browse>
<help-echo> <down-mouse-1> <mouse-2> <help-echo> <down-mouse-1>
<mouse-2> <help-echo> <help-echo> <help-echo> <wheel-down>
<double-wheel-down> <triple-wheel-down> <triple-wheel-down>
<wheel-up> <double-wheel-up> <triple-wheel-up> <help-echo>
<help-echo> <down-mouse-1> <mouse-2> <help-echo> <help-echo>
<help-echo> <wheel-down> <double-wheel-down> <triple-wheel-down>
<triple-wheel-up> <triple-wheel-up> <help-echo> <help-echo>
<down-mouse-1> <drag-mouse-1> <down-mouse-1> <mouse-1>
<help-echo> <help-echo> <down-mouse-1> <mouse-1> <help-echo>
<wheel-down> <wheel-down> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<triple-wheel-down> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-up>
<triple-wheel-up> <triple-wheel-up> <wheel-down> <double-wheel-down>
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
<help-echo> <down-mouse-1> <mouse-2> <help-echo> <help-echo>
<help-echo> <help-echo> <down-mouse-1> <mouse-1> <help-echo>
<down-mouse-1> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <down-mouse-1> <mouse-2> <wheel-down>
<double-wheel-down> <triple-wheel-down> <triple-wheel-down>
<wheel-up> <double-wheel-up> <wheel-up> <double-wheel-up>
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>
<down-mouse-1> <mouse-1> C-s f o n t C-a C-n C-s C-s
C-n C-a C-p C-a <return> C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n
C-n C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p
C-p C-p C-p C-p C-p C-p C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n <help-echo> <down-mouse-1>
<mouse-2> <help-echo> <down-mouse-1> <mouse-2> <help-echo>
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu>
<send-emacs-bug-report>

Recent messages:
Creating group state...
Creating group... done
Creating customization items ...done
Resetting customization items...done
Creating customization setup...done
Mark set [2 times]
Mark saved where search started [2 times]
customize-saved: No saved user options
mouse-select-font: Wrong type argument: stringp, nil
byte-code: Beginning of buffer [5 times]




Acknowledgement sent to Jim Mahoney <mahoney@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#4295; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 26 Apr 2016 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.